//----------------------------------------------------------------------------
//  Fishball By Linus Sphinx and Ting Hsu (c)Copyright 2007 all rights reserved
//----------------------------------------------------------------------------
//
//    Fishball is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 3 of the License, or
//    (at your option) any later version.
//
//    Fishball is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with Fishball; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//
//--------------------------------------------------------------------------------
typedef struct
{
	int x;
	int y;
} POINT;

typedef struct {
	short score; // gametime ticks = one draw cycle
	short goodfish; // current ball population
	short deadfish; // carnage
	short topscore; // ball apex
} PLAYER;

#define ON     1
#define OFF    0
#define OK     0

#define COLORDEPTH	 	24
#define SCREENHEIGHT   		240
#define HALFSCREENHEIGHT	SCREENHEIGHT/2
#define SCREENWIDTH		320
#define HALFSCREENWIDTH		SCREENWIDTH/2
#define RECT SDL_Rect
#define RATE 55

typedef struct 
{
	signed short Sound; // sound on off 1 0
} OPTIONS;

void hitanybutton( void ); // pastes the hit any button in the corner
void quit( void );
